summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
Diffstat (limited to 'office')
-rw-r--r--office/vlna/README3
-rw-r--r--office/vlna/slack-desc19
-rw-r--r--office/vlna/vlna.SlackBuild70
-rw-r--r--office/vlna/vlna.info10
4 files changed, 102 insertions, 0 deletions
diff --git a/office/vlna/README b/office/vlna/README
new file mode 100644
index 0000000000..1d4f771f73
--- /dev/null
+++ b/office/vlna/README
@@ -0,0 +1,3 @@
+Program vlna adds ties (Czech vlna or vlnka) after nonsyllabic
+prepositions (instead of spaces) in the TeX source files.
+This prevents line breaks at undesirable spaces.
diff --git a/office/vlna/slack-desc b/office/vlna/slack-desc
new file mode 100644
index 0000000000..6572a7754a
--- /dev/null
+++ b/office/vlna/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vlna: vlna (Add the nobreak by Czech typesetting conventions)
+vlna:
+vlna: Program vlna adds ties (Czech vlna or vlnka) after nonsyllabic
+vlnc: prepositions (instead of spaces) in the TeX source files.
+vlna: This prevents line breaks at undesirable spaces.
+vlna:
+vlna: website: http://math.feld.cvut.cz/olsak/ftp/olsak/vlna/
+vlna:
+vlna:
+vlna:
+vlna:
diff --git a/office/vlna/vlna.SlackBuild b/office/vlna/vlna.SlackBuild
new file mode 100644
index 0000000000..bef235489b
--- /dev/null
+++ b/office/vlna/vlna.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for vlna
+
+# Petr Kletecka petr@kle.cz <2014>
+
+PRGNAM=vlna
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make DESTDIR=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/doc/${PRGNAM}-${VERSION}/
+cat README > $PKG/usr/share/doc/${PRGNAM}-${VERSION}/README
+cat README.en > $PKG/usr/share/doc/${PRGNAM}-${VERSION}/README.en
+cat ChangeLog > $PKG/usr/share/doc/${PRGNAM}-${VERSION}/ChangeLog
+
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/vlna/vlna.info b/office/vlna/vlna.info
new file mode 100644
index 0000000000..7feb8db6af
--- /dev/null
+++ b/office/vlna/vlna.info
@@ -0,0 +1,10 @@
+PRGNAM="vlna"
+VERSION="1.5"
+HOMEPAGE="http://math.feld.cvut.cz/olsak/ftp/olsak/vlna/"
+DOWNLOAD="http://math.feld.cvut.cz/olsak/ftp/olsak/vlna/vlna-1.5.tar.gz"
+MD5SUM="82f975d59692e159794cc6a717e0f75d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petr Kletecka"
+EMAIL="petr@kle.cz"